<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html">MockMessageStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html" title="alexaClientSDK::certified\lSender::MessageStorageInterface" alt="" coords="5,5,230,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html" title="alexaClientSDK::certified\lSender::MessageStorageInterface" alt="" coords="5,5,230,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad3ab70fcce46be74adcfbabc700d07ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#ad3ab70fcce46be74adcfbabc700d07ae">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a>, bool())</td></tr>
<tr class="separator:ad3ab70fcce46be74adcfbabc700d07ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a81112c85b447fc98a30513a691f76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#a93a81112c85b447fc98a30513a691f76">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a>, bool())</td></tr>
<tr class="separator:a93a81112c85b447fc98a30513a691f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed2e2a8d6a309ab3e7947cc1ca6e6d5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#aed2e2a8d6a309ab3e7947cc1ca6e6d5b">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a>, void())</td></tr>
<tr class="separator:aed2e2a8d6a309ab3e7947cc1ca6e6d5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a5271500d6dbb635fc31417ff8d8f98"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#a9a5271500d6dbb635fc31417ff8d8f98">MOCK_METHOD2</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a>, bool(const std::string &amp;message, int *id))</td></tr>
<tr class="separator:a9a5271500d6dbb635fc31417ff8d8f98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e84fe655b1521bdca4f03285671346"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#aa4e84fe655b1521bdca4f03285671346">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a>, bool(std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *messageContainer))</td></tr>
<tr class="separator:aa4e84fe655b1521bdca4f03285671346"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60b4548853811fb069a152dcddbb6d5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#ae60b4548853811fb069a152dcddbb6d5">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a>, bool(int messageId))</td></tr>
<tr class="separator:ae60b4548853811fb069a152dcddbb6d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d1a1648db6d2135a44e0bcbb9e6f7a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#a18d1a1648db6d2135a44e0bcbb9e6f7a">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a>, bool())</td></tr>
<tr class="separator:a18d1a1648db6d2135a44e0bcbb9e6f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eaf8e3f984951fc52327f9f5c5f98ed"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1test_1_1_mock_message_storage.html#a5eaf8e3f984951fc52327f9f5c5f98ed">~MockMessageStorage</a> ()=default</td></tr>
<tr class="separator:a5eaf8e3f984951fc52327f9f5c5f98ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html">alexaClientSDK::certifiedSender::MessageStorageInterface</a></td></tr>
<tr class="memitem:a75f8c604874181dc95f58333383fea5e inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a75f8c604874181dc95f58333383fea5e">~MessageStorageInterface</a> ()=default</td></tr>
<tr class="separator:a75f8c604874181dc95f58333383fea5e inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83ad426fad42db7e0ffd7ff164d50744 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a> ()=0</td></tr>
<tr class="separator:a83ad426fad42db7e0ffd7ff164d50744 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69f5888e39921094136eb82e8c422b2d inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a> ()=0</td></tr>
<tr class="separator:a69f5888e39921094136eb82e8c422b2d inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770eca510a5c854d69f445ed65148def inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a> ()=0</td></tr>
<tr class="separator:a770eca510a5c854d69f445ed65148def inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae316419688e35565148312b7f793891d inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a> (const std::string &amp;message, int *id)=0</td></tr>
<tr class="separator:ae316419688e35565148312b7f793891d inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30f520cabee0ec267f3587e5c6049c1 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a> (std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *messageContainer)=0</td></tr>
<tr class="separator:ad30f520cabee0ec267f3587e5c6049c1 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68bd3e2439c47ee2dc6079b74113aaf6 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a> (int messageId)=0</td></tr>
<tr class="separator:a68bd3e2439c47ee2dc6079b74113aaf6 inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728b2f59806c08d5cf286032ce030dab inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a> ()=0</td></tr>
<tr class="separator:a728b2f59806c08d5cf286032ce030dab inherit pub_methods_classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5eaf8e3f984951fc52327f9f5c5f98ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eaf8e3f984951fc52327f9f5c5f98ed">&#9670;&nbsp;</a></span>~MockMessageStorage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::~MockMessageStorage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad3ab70fcce46be74adcfbabc700d07ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3ab70fcce46be74adcfbabc700d07ae">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93a81112c85b447fc98a30513a691f76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93a81112c85b447fc98a30513a691f76">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed2e2a8d6a309ab3e7947cc1ca6e6d5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed2e2a8d6a309ab3e7947cc1ca6e6d5b">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a18d1a1648db6d2135a44e0bcbb9e6f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18d1a1648db6d2135a44e0bcbb9e6f7a">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4e84fe655b1521bdca4f03285671346"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4e84fe655b1521bdca4f03285671346">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(std::queue&lt; <a class="el" href="structalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_1_1_stored_message.html">StoredMessage</a> &gt; *messageContainer)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae60b4548853811fb069a152dcddbb6d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae60b4548853811fb069a152dcddbb6d5">&#9670;&nbsp;</a></span>MOCK_METHOD1() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(int messageId)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a5271500d6dbb635fc31417ff8d8f98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a5271500d6dbb635fc31417ff8d8f98">&#9670;&nbsp;</a></span>MOCK_METHOD2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::settings::test::MockMessageStorage::MOCK_METHOD2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(const std::string &amp;message, int *id)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Settings/test/<a class="el" href="_settings_test_8cpp.html">SettingsTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
